#ifndef XMATERIALARGUMENTDEF_H
#define XMATERIALARGUMENTDEF_H

#include "xasset.h"
#include "xmaterialargumentcodeconst.h"

class XMaterialArgumentDef : public XAsset
{
public:
    XMaterialArgumentDef();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    const float *mLiteralConst;
    XMaterialArgumentCodeConst mCodeConst;
    unsigned int mCodeSampler;
    unsigned int mNameHash;
};

#endif // XMATERIALARGUMENTDEF_H
